#ifndef _DIAGNOSTIC_H_
#define _DIAGNOSTIC_H_

#include "findbreaks.h"
#include <fstream>
using namespace std;

void blendlist(PClip clip, ostream &output, IScriptEnvironment *env);
void blendtable(PClip clip, IScriptEnvironment *env);
void writebreaks(PClip clip, IScriptEnvironment *env);


class ShowBreaks : public GenericVideoFilter 
{   
	//Distance *distance;
	LocalAnalyse *analyse;
public:
	ShowBreaks(LocalAnalyse *_analyse, PClip _show, IScriptEnvironment *env);
	PVideoFrame __stdcall GetFrame(int n, IScriptEnvironment *env);
};

class Show12Breaks : public GenericVideoFilter 
{   
	//Distance *distance;
	LocalAnalyse *analyse;
public:
	Show12Breaks(LocalAnalyse *_analyse, PClip _show, IScriptEnvironment *env);
	PVideoFrame __stdcall GetFrame(int n, IScriptEnvironment *env);
};

#endif